Merge with TAH
authormpm@selenic.com
Thu, 30 Jun 2005 23:28:16 -0800
changeset 547 4fc63e22b1fe707bb542ab1149403daa9a77cdf8
parent 540 53872e2be33a09350ee57384574f9fcab78f1b41 (current diff)
parent 546 c8ae964109c1eb09a17a9f6e478f48571101dac0 (diff)
child 548 e2e963e255fd8fab5749fa43c253a860c5a3f70b
child 552 2204311609a08017171372e6be13304222dccaa1
push id1
push usergszorc@mozilla.com
push dateWed, 18 Mar 2015 16:34:57 +0000
Merge with TAH -----BEGIN PGP SIGNED MESSAGE----- Hash: SHA1 Merge with TAH manifest hash: 1742d7ba2093dc643b57e45167cb2d794212cbb9 -----BEGIN PGP SIGNATURE----- Version: GnuPG v1.4.0 (GNU/Linux) iD8DBQFCxPCQywK+sNU5EO8RAkr0AJ9qut/31lCLQ/xY3FWaF3c21RhS7wCfW1eV 3WexPDsJldMAr3V5vc9eowA= =pJYu -----END PGP SIGNATURE-----
TODO
hgeditor
hgmerge
mercurial/commands.py
mercurial/hg.py
mercurial/hgweb.py
mercurial/revlog.py
templates/map
tests/fish-merge
tests/run-tests
tests/test-bad-pull
tests/test-bad-pull.out
tests/test-basic
tests/test-conflict
tests/test-copy
tests/test-help
tests/test-pull
tests/test-rawcommit1.out
tests/test-simple-update
tests/test-tags
tests/test-undo
tests/test-up-local-change
tests/test-up-local-change.out
--- a/TODO
+++ b/TODO
@@ -10,29 +10,27 @@ General:
 - Code cleanup: apply http://python.org/peps/pep-0008.html
 - Replace all remaining print statements with appropriate ui function
 
 Core:
 - difflib creating/removing files (fixed except dates: should be epoch)
 - directory foo.d or foo.i with existing file foo (use some quoting?)
 - get various options from hgrc (e.g. history always -v, tip always -q)
 - better push support (hack exists)
-- hg over ssh:// and https://
-- commit mailinglist/trigger/hooks
+- hg over ssh:// and https:// and rsync://
+- hooks for new changesets getting pulled/imported etc.
 - make showing removed files (in history etc.) faster.
 
 Commands:
 - hg add <directory> should work
 - hg status <filename>: file rev, changeset rev, changed, added,
   deleted, sha-1
 - select to pull a subset of the heads
 - commands.py: number of args too much magic (e.g. in patch())
 - automatic pull fallback to old-http://
-- hg pull http://example.com doesn't say that no repo was found
-- hg annotate -u and hgweb annotate with long $EMAIL
 - hg pull default in a subdir doesn't work, if it is a relative path
 - optionally only show merges (two parents or parent != changeset-1, etc.)
 
 Web:
 - show tags in hgweb
 - show parent changeset number in hgweb
 - optionally only show merges (two parents or parent != changeset-1, etc.)
 - one hgweb with many repos (another script)
--- a/hgeditor
+++ b/hgeditor
@@ -1,9 +1,9 @@
-#!/bin/bash
+#!/bin/sh
 #
 # This is an example of using HGEDITOR to automate the signing of
 # commits and so on.
 
 T1=""; T2=""
 cleanup_exit() {
     rm -f "$T1" "$T2"
     exit $1
--- a/hgmerge
+++ b/hgmerge
@@ -1,9 +1,9 @@
-#!/bin/bash
+#!/bin/sh
 #
 # hgmerge - default merge helper for Mercurial
 #
 # This tries to find a way to do three-way merge on the current system.
 # The result ought to end up in $1.
 
 set -e # bail out quickly on failure
 
--- a/mercurial/commands.py
+++ b/mercurial/commands.py
@@ -132,17 +132,17 @@ def show_changeset(ui, repo, rev=0, chan
                 ui.note("%-12s %s\n" % (key, " ".join(value)))
     else:
         ui.note("files:       %s\n" % " ".join(changes[3]))
     description = changes[4].strip()
     if description:
         if ui.verbose:
             ui.status("description:\n")
             ui.status(description)
-            ui.status("\n")
+            ui.status("\n\n")
         else:
             ui.status("summary:     %s\n" % description.splitlines()[0])
     ui.status("\n")
 
 def show_version(ui):
     """output version and copyright information"""
     ui.write("Mercurial version %s\n" % version.get_version())
     ui.status(
@@ -290,17 +290,19 @@ def clone(ui, source, dest = None, **opt
         def __del__(self):
             if self.dir:
                 import shutil
                 shutil.rmtree(self.dir, True)
 
     d = dircleanup(dest)
 
     link = 0
-    if not source.startswith("http://"):
+    if not (source.startswith("http://") or
+            source.startswith("hg://") or
+            source.startswith("old-http://")):
         d1 = os.stat(dest).st_dev
         d2 = os.stat(source).st_dev
         if d1 == d2: link = 1
 
     if link:
         ui.note("copying by hardlink\n")
         util.system("cp -al '%s'/.hg '%s'/.hg" % (source, dest))
         try:
--- a/tests/fish-merge
+++ b/tests/fish-merge
@@ -1,8 +1,10 @@
+#!/bin/sh
+
 set -e
 set -x
 
 # skip commit logs
 export HGMERGE=tkmerge
 export EDITOR=true
 
 rm -rf m m1 m2
--- a/tests/run-tests
+++ b/tests/run-tests
@@ -1,11 +1,9 @@
-#!/bin/bash
-
-set -e
+#!/bin/sh -e
 
 export LANG=C
 export LC_CTYPE="C"
 export LC_NUMERIC="C"
 export LC_TIME="C"
 export LC_COLLATE="C"
 export LC_MONETARY="C"
 export LC_MESSAGES="C"
@@ -42,17 +40,17 @@ fi
 cd $H
 rm install.err
 
 function run_one
 {
     rm -f $1.err
     export TZ=GMT
     D=`mktemp -d`
-    if [ "$D" == "" ] ; then
+    if [ "$D" = "" ] ; then
 	echo mktemp failed!
     fi
 
     cd $D
     fail=0
 
     if ! $H/$1 > .out 2>&1 ; then
 	echo $1 failed with error code $?
@@ -72,17 +70,17 @@ function run_one
     fi
 
     cd $H
     rm -r $D
     return $fail
 }
 
 TESTS=$@
-if [ "$TESTS" == "" ] ; then
+if [ "$TESTS" = "" ] ; then
     TESTS=`ls test-* | grep -Ev "\.|~"`
 fi
 
 for f in $TESTS ; do
     echo -n "."
     if ! run_one $f ; then
 	failed=$[$failed + 1]
     fi
--- a/tests/test-bad-pull
+++ b/tests/test-bad-pull
@@ -1,9 +1,9 @@
-#!/bin/bash -x
+#!/bin/sh -x
 
 hg clone http://localhost:20059/ copy
 echo $?
 ls copy
 
 cat > dumb.py <<EOF
 import BaseHTTPServer, SimpleHTTPServer, signal
 
@@ -13,14 +13,15 @@ def run(server_class=BaseHTTPServer.HTTP
     httpd = server_class(server_address, handler_class)
     httpd.serve_forever()
 
 signal.signal(signal.SIGTERM, lambda x: sys.exit(0))
 run()
 EOF
 
 python dumb.py 2>/dev/null &
+sleep 2
 
 hg clone http://localhost:20059/foo copy2
 echo $?
 
 set +x
 kill $!
--- a/tests/test-bad-pull.out
+++ b/tests/test-bad-pull.out
@@ -5,16 +5,17 @@ abort: error 111: Connection refused
 transaction abort!
 rollback completed
 + echo 255
 255
 + ls copy
 ls: copy: No such file or directory
 + cat
 + python dumb.py
++ sleep 2
 + hg clone http://localhost:20059/foo copy2
 requesting all changes
 adding changesets
 abort: HTTP Error 404: File not found
 transaction abort!
 rollback completed
 + echo 255
 255
--- a/tests/test-basic
+++ b/tests/test-basic
@@ -1,13 +1,13 @@
-#!/bin/bash
+#!/bin/sh
 
 set -x
 mkdir t
 cd t
 hg init
 echo a > a
 hg add a
 hg commit -t "test" -u test -d "0 0"
 hg history
 hg manifest
 hg cat a
-hg verify
\ No newline at end of file
+hg verify
--- a/tests/test-conflict
+++ b/tests/test-conflict
@@ -1,9 +1,9 @@
-#!/bin/bash
+#!/bin/sh
 
 set -x
 hg init
 echo "nothing" > a
 hg add a
 hg commit -t ancestor -u test -d "0 0"
 echo "something" > a
 hg commit -t branch1 -u test -d "0 0"
--- a/tests/test-copy
+++ b/tests/test-copy
@@ -1,9 +1,9 @@
-#!/bin/bash
+#!/bin/sh
 
 set -x
 hg init
 echo a > a
 hg add a
 hg commit -t "1" -u test -d "0 0"
 hg status
 cp a b
--- a/tests/test-help
+++ b/tests/test-help
@@ -1,9 +1,9 @@
-#!/bin/bash
+#!/bin/sh
 
 set -x
 
 hg -q help
 hg add -h
 hg help diff
 hg help foo
 hg -q commands
--- a/tests/test-pull
+++ b/tests/test-pull
@@ -1,9 +1,9 @@
-#!/bin/bash
+#!/bin/sh
 
 mkdir test
 cd test
 echo foo>foo
 hg init
 hg addremove
 hg commit -t "1"
 hg verify
--- a/tests/test-rawcommit1.out
+++ b/tests/test-rawcommit1.out
@@ -23,16 +23,17 @@ parent:      1:3cefbe5cc27b3a068b7a6899d
 parent:      -1:0000000000000000000000000000000000000000
 manifest:    2:f5d7a10be55c91e08fbd4f527ab313aff2761fc6
 user:        user
 date:        Thu Jan  1 00:00:00 1970
 files+:      c
 description:
 2
 
+
 + rm b
 + hg -d rawcommit -p 2 -d '0 0' -u user -t3 b
 + hg -d manifest 3
 05f9e54f4c9b86b09099803d8b49a50edcb4eaab 644 a
 76d5e637cbec1bcc04a5a3fa4bcc7d13f6847c00 644 c
 + hg -d parents
 changeset:   3:923669243607c26c4c8f0c11f48c1182ce1a7aff
 tag:         tip
@@ -40,16 +41,17 @@ parent:      2:c4ef0ef0554dff3ceade68d75
 parent:      -1:0000000000000000000000000000000000000000
 manifest:    3:1102cb6dde652ec2ba8cc2777e464853afa67cef
 user:        user
 date:        Thu Jan  1 00:00:00 1970
 files-:      b
 description:
 3
 
+
 + echo this is a22
 + hg -d rawcommit -p 3 -d '0 0' -u user -t4 a
 + hg -d manifest 4
 d6e3c4976c13feb1728cd3ac851abaf7256a5c23 644 a
 76d5e637cbec1bcc04a5a3fa4bcc7d13f6847c00 644 c
 + hg -d parents
 changeset:   4:2361ec7b1da5142bce1285c50f3bb2960706263d
 tag:         tip
@@ -57,16 +59,17 @@ parent:      3:923669243607c26c4c8f0c11f
 parent:      -1:0000000000000000000000000000000000000000
 manifest:    4:cf4021621d6357e928385ffeee996f87c0bf991d
 user:        user
 date:        Thu Jan  1 00:00:00 1970
 files:       a
 description:
 4
 
+
 + echo this is c22
 + hg -d rawcommit -p 1 -d '0 0' -u user -t5 c
 + hg -d manifest 5
 05f9e54f4c9b86b09099803d8b49a50edcb4eaab 644 a
 54837d97f2932a8194e69745a280a2c11e61ff9c 644 b
 3570202ceac2b52517df64ebd0a062cb0d8fe33a 644 c
 + hg -d parents
 changeset:   4:2361ec7b1da5142bce1285c50f3bb2960706263d
@@ -74,38 +77,41 @@ parent:      3:923669243607c26c4c8f0c11f
 parent:      -1:0000000000000000000000000000000000000000
 manifest:    4:cf4021621d6357e928385ffeee996f87c0bf991d
 user:        user
 date:        Thu Jan  1 00:00:00 1970
 files:       a
 description:
 4
 
+
 + hg -d rawcommit -p 4 -p 5 -d '0 0' -u user -t6
 + hg -d manifest 6
 d6e3c4976c13feb1728cd3ac851abaf7256a5c23 644 a
 76d5e637cbec1bcc04a5a3fa4bcc7d13f6847c00 644 c
 + hg -d parents
 changeset:   6:aaf55aee7b6249fd7d4ba295d98c4492ec2740d7
 tag:         tip
 parent:      4:2361ec7b1da5142bce1285c50f3bb2960706263d
 parent:      5:f8292b00383d88b470efcb2ea9c71409832ec9d6
 manifest:    6:71c4262e09a89666ee12a92fefa12085aad53243
 user:        user
 date:        Thu Jan  1 00:00:00 1970
 description:
 6
 
+
 + hg -d rawcommit -p 6 -d '0 0' -u user -t7
 + hg -d manifest 7
 d6e3c4976c13feb1728cd3ac851abaf7256a5c23 644 a
 76d5e637cbec1bcc04a5a3fa4bcc7d13f6847c00 644 c
 + hg -d parents
 changeset:   7:836ff890ac9ecb8c4b7c209b3e8b93f8805ca5f0
 tag:         tip
 parent:      6:aaf55aee7b6249fd7d4ba295d98c4492ec2740d7
 parent:      -1:0000000000000000000000000000000000000000
 manifest:    7:c15305fbac9dd3f49bffcc17d659b2d06d10b9a2
 user:        user
 date:        Thu Jan  1 00:00:00 1970
 description:
 7
 
+
--- a/tests/test-simple-update
+++ b/tests/test-simple-update
@@ -1,9 +1,9 @@
-#!/bin/bash
+#!/bin/sh
 
 set -ex
 
 mkdir test
 cd test
 echo foo>foo
 hg init
 hg addremove
--- a/tests/test-tags
+++ b/tests/test-tags
@@ -1,9 +1,9 @@
-#!/bin/bash
+#!/bin/sh
 
 set -x
 mkdir t
 cd t
 hg init
 hg id
 echo a > a
 hg add a
--- a/tests/test-undo
+++ b/tests/test-undo
@@ -1,9 +1,9 @@
-#!/bin/bash
+#!/bin/sh
 
 set -x
 mkdir t
 cd t
 hg init
 echo a > a
 hg add a
 hg commit -t "test" -u test -d "0 0"
--- a/tests/test-up-local-change
+++ b/tests/test-up-local-change
@@ -1,9 +1,9 @@
-#!/bin/bash
+#!/bin/sh
 
 export HGMERGE=true
 
 set -ex
 mkdir r1
 cd r1
 hg init
 echo a > a
--- a/tests/test-up-local-change.out
+++ b/tests/test-up-local-change.out
@@ -49,24 +49,26 @@ changeset:   1:1e71731e6fbb5b35fae293120
 tag:         tip
 manifest:    1:1165e8bd193e17ad7d321d846fcf27ff3f412758
 user:        test
 date:        Thu Jan  1 00:00:00 1970
 files:       a b
 description:
 2
 
+
 changeset:   0:c19d34741b0a4ced8e4ba74bb834597d5193851e
 manifest:    0:a0c8bcbbb45c63b90b70ad007bf38961f64f2af0
 user:        test
 date:        Thu Jan  1 00:00:00 1970
 files:       a
 description:
 1
 
+
 + hg diff
 + sed 's/\(\(---\|+++\).*\)\t.*/\1/'
 diff -r 1e71731e6fbb a
 --- a/a
 +++ b/a
 @@ -1,1 +1,1 @@
 -a2
 +abc